<?php

App::uses('AppHelper', 'View/Helper');

App::uses('AuditLogPresenter', 'EvAuditLog.Lib');

class EvAuditLogHelper extends AppHelper {

/**
 * Inject the audit log tab into the admin form.
 *
 * @return void.
 */
	public function injectAdminForm() {
		echo $this->element(
			'form_tab',
			[
				'title' => 'Audit Log',
				'tabContent' => $this->element('EvAuditLog.Audit/audit-tab'),
			]
		);
	}

/**
 * If this property should appear on the audit log
 *
 * @param array $audit The array of audit data
 * @param array $auditDelta The array of audit delta data
 * @return bool
 */
	public function shouldPresentProperty($audit, $auditDelta) {
		return AuditLogPresenter::shouldPresentProperty($audit, $auditDelta);
	}

/**
 * Helper method to call the audit log presenter to present the property name.
 *
 * @param array $audit      The array of audit data.
 * @param array $auditDelta The array of audit delta data.
 * @return string The presentable value.
 */
	public function presentPropertyName($audit, $auditDelta) {
		return AuditLogPresenter::presentPropertyName($audit, $auditDelta);
	}

/**
 * Helper method to call the audit log presenter to present the old value.
 *
 * @param array $audit      The array of audit data.
 * @param array $auditDelta The array of audit delta data.
 * @return string The presentable value.
 */
	public function presentOldValue($audit, $auditDelta) {
		return AuditLogPresenter::presentOldValue($audit, $auditDelta);
	}

/**
 * Helper method to call the audit log presenter to present the new value.
 *
 * @param array $audit      The array of audit data.
 * @param array $auditDelta The array of audit delta data.
 * @return string The presentable value.
 */
	public function presentNewValue($audit, $auditDelta) {
		return AuditLogPresenter::presentNewValue($audit, $auditDelta);
	}

/**
 * Helper method to show the item name that is being affected in the audit
 *
 * @param array $audit The audit data
 * @return string The item name
 */
	public function presentItemName($audit) {
		return AuditLogPresenter::presentItemName($audit);
	}
}
